libzypp 17.37.10

zyppng::UnixSockAddr Class Reference

`#include <zypp-core/zyppng/io/sockaddr.h>`

Inheritance diagram for zyppng::UnixSockAddr:

## Public Types
using | Ptr = std::shared_ptr<UnixSockAddr>

## Public Member Functions
| UnixSockAddr (const std::string &path, bool abstract)
sockaddr * | nativeSockAddr () const override
std::size_t | size () const override
bool | isAbstract () const
Public Member Functions inherited from zyppng::SockAddr
virtual | ~SockAddr ()

## Private Attributes
std::shared_ptr< struct sockaddr_un > | _data

## Detailed Description

Definition at line 35 of file sockaddr.h.

## Member Typedef Documentation

## ◆ Ptr

using zyppng::UnixSockAddr::Ptr = std::shared_ptr<UnixSockAddr>

Definition at line 39 of file sockaddr.h.

## Constructor & Destructor Documentation

## ◆ UnixSockAddr()

zyppng::UnixSockAddr::UnixSockAddr | ( | const std::string & | path,
|  | bool | abstract )

Definition at line 6 of file sockaddr.cpp.

## Member Function Documentation

## ◆ nativeSockAddr()

sockaddr * zyppng::UnixSockAddr::nativeSockAddr | ( |  | ) | const
| override virtual

Implements zyppng::SockAddr.

Definition at line 17 of file sockaddr.cpp.

## ◆ size()

std::size_t zyppng::UnixSockAddr::size | ( |  | ) | const
| override virtual

Implements zyppng::SockAddr.

Definition at line 22 of file sockaddr.cpp.

## ◆ isAbstract()

bool zyppng::UnixSockAddr::isAbstract | ( |  | ) | const

Definition at line 27 of file sockaddr.cpp.

## Member Data Documentation

## ◆ _data

std::shared_ptr<struct sockaddr_un> zyppng::UnixSockAddr::_data
| private

Definition at line 50 of file sockaddr.h.

The documentation for this class was generated from the following files:

- zypp-core/zyppng/io/sockaddr.h
- zypp-core/zyppng/io/sockaddr.cpp